Set product out of stock
curl --request POST \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/products/{productId}/out-of-stock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outOfStock": true,
"untilDate": "2023-11-07T05:31:56Z",
"stock": 123
}
'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/products/{productId}/out-of-stock"
payload = {
"outOfStock": True,
"untilDate": "2023-11-07T05:31:56Z",
"stock": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({outOfStock: true, untilDate: '2023-11-07T05:31:56Z', stock: 123})
};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/products/{productId}/out-of-stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"storeId": "<string>",
"productId": "<string>",
"productExternalId": "<string>",
"outOfStock": true,
"outOfStockItemId": "<string>",
"untilDate": "2023-11-07T05:31:56Z",
"stock": 123
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Productos
Set product out of stock
POST
/
ecommerce
/
stores
/
{storeId}
/
products
/
{productId}
/
out-of-stock
Set product out of stock
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o ID externo del local.
ID Justo o ID externo del producto.
Body
application/json
Si es verdadero, marca el producto como agotado. Si es falso, lo vuelve a dejar disponible.
Duración predefinida del bloqueo. Usa tomorrow para agotarlo hasta el cierre del día siguiente.
Available options:
none, tomorrow Fecha hasta la que el producto permanecerá agotado.
Stock disponible. Cuando se consume en pedidos, el producto queda agotado al llegar a 0.
⌘I